Package io.strimzi.systemtest.security

## Class SystemTestCertAndKeyBuilder

- java.lang.Object
- - io.strimzi.systemtest.security.SystemTestCertAndKeyBuilder

-     public class SystemTestCertAndKeyBuilder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SystemTestCertAndKey` | `build()` |
    `static SystemTestCertAndKeyBuilder` | `endEntityCertBuilder​(SystemTestCertAndKey caCert)` |
    `static SystemTestCertAndKeyBuilder` | `intermediateCaCertBuilder​(SystemTestCertAndKey caCert)` |
    `static SystemTestCertAndKeyBuilder` | `rootCaCertBuilder()` |
    `static SystemTestCertAndKeyBuilder` | `strimziCaCertBuilder​(SystemTestCertAndKey caCert)` |
    `SystemTestCertAndKeyBuilder` | `withIssuerDn​(String issuerDn)` |
    `SystemTestCertAndKeyBuilder` | `withSanDnsName​(String hostName)` |
    `SystemTestCertAndKeyBuilder` | `withSubjectDn​(String subjectDn)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### rootCaCertBuilder

          public static SystemTestCertAndKeyBuilder rootCaCertBuilder()

    - #### intermediateCaCertBuilder

          public static SystemTestCertAndKeyBuilder intermediateCaCertBuilder​(SystemTestCertAndKey caCert)

    - #### strimziCaCertBuilder

          public static SystemTestCertAndKeyBuilder strimziCaCertBuilder​(SystemTestCertAndKey caCert)

    - #### endEntityCertBuilder

          public static SystemTestCertAndKeyBuilder endEntityCertBuilder​(SystemTestCertAndKey caCert)

    - #### withIssuerDn

          public SystemTestCertAndKeyBuilder withIssuerDn​(String issuerDn)

    - #### withSubjectDn

          public SystemTestCertAndKeyBuilder withSubjectDn​(String subjectDn)

    - #### withSanDnsName

          public SystemTestCertAndKeyBuilder withSanDnsName​(String hostName)

    - #### build

          public SystemTestCertAndKey build()